Notas de la versión de CA Business Intelligence JasperReports Server con CA UIM

Los cuadros de mandos de CA Business Intelligence (CABI) dentro de CA UIM utilizan CA Business Intelligence JasperReports Server (CA Business Intelligence Server).CA Business Intelligence Server proporciona la creación de informes completos y tiene integradas las capacidades de análisis en memoria. Este artículo explica las nuevas funciones en esta versión.
uim203
cabi_rn
Los cuadros de mandos de CA Business Intelligence (CABI) dentro de CA UIM utilizan CA Business Intelligence JasperReports Server (CA Business Intelligence Server).CA Business Intelligence Server proporciona la creación de informes completos y tiene integradas las capacidades de análisis en memoria. Este artículo explica las nuevas funciones en esta versión.
  • Para obtener una matriz de versiones de paquetes de CABI compatibles, consulte CA Business Intelligence con CA UIM.
  • UIM 20.3.3 ha eliminado la dependencia de CA Business Intelligence (CABI) para procesar las pantallas nativas de la Consola del operador: página principal, página de vista de grupos, página de vista de dispositivos y página de vista Tecnologías de monitorización (sondas). Los cuadros de mandos y los informes personalizados y listos para usar todavía se representan mediante CABI. Es decir, tienen una dependencia de CABI. Sin embargo, las pantallas nativas de la Consola del operador ya no dependen de CABI (Jaspersoft) y se representan mediante HTML5.Para obtener más información sobre las pantallas nativas de la Consola del operador utilizando HTML5, consulte el artículo Configuración y visualización de datos de monitorización o la sección Eliminación de dependencias de CABI (Consola nativa del operador) en el artículo de UIM 20.3.3.
Contenido
2
2
Requisitos del entorno de UIM
Los cuadros de mandos de CA Business Intelligence requieren los componentes siguientes:
Septiembre de 2020
Nuevas funciones
Esta versión incluye las siguientes actualizaciones:
En UIM 20.3.0, la configuración agrupada de CABI ofrece la versión
7.5 de Jasper Server
, mientras que el cabi_external es el mismo que en UIM 20.1.0 (solo es compatible con la
integración con CABI unificado 7.1.1
).
Las versiones que se proporcionan con UIM 20.3 son:
  1. La configuración agrupada de CABI (nombre de sonda
    cabi
    )
    1. La versión de la
      sonda cabi
      es 4.30
    2. Asegúrese de que se implementen las siguientes dependencias:
      1. uim_core_dashboards_pack
        versión 2.46
      2. uim_unified_reporter_pack
        versión 1.04
  2.  Configuración externa de CABI (nombre de la sonda
    cabi_external
    )
    1. La versión de la sonda
      cabi_external
      es 4.20
    2. Se deben implementar las siguientes dependencias:
      1. uim_core_dashboards_pack
        versión 2.45
      2. uim_unified_reporter_pack
        versión 1.03
    El instalador de UIM 20.3.0 incluye
    uim_core_dashboards_pack
    versión 2.46 y
    uim_unified_reporter_pack
    versión 1.04, que no son compatibles con la versión 4.20 de la sonda
    cabi_external
    . Siga estos pasos para que funcione la sonda
    cabi_external
    :
    1. Elimine
      uim_core_dashboards_pack
      versión 2.46 y
      uim_unified_reporter_pack
      versión 1.04.
    2. Implemente
      uim_core_dashboards_pack
      versión 2.45 y
      uim_unified_reporter_pack
      versión 1.03 desde el archivo de archivado.
La compatibilidad del sistema operativo (SO) y la base de datos donde se puede instalar CABI depende de la matriz de compatibilidad de la plataforma Jasper Server. Para obtener más detalles sobre la compatibilidad con la plataforma Jasper Server, consulte lo siguiente:
La configuración agrupada de CABI es compatible con instalaciones y actualizaciones nuevas. Las actualizaciones sos compatibles a partir de la versión 3.4 y superiores de CABI en función de las rutas de actualización de Jasper Server (Jasper Server 7.5 es compatible con las actualizaciones directas desde Jasper Server 6.4.3 en adelante).
La instalación de la configuración agrupada de CABI se admite en un robot diferente y en el sistema de la Consola del operador. Solo se puede instalar una instancia de CABI en un dominio de UIM.
La alta disponibilidad (HA) de Jasper Server no es compatible con la configuración agrupada de CABI. Las instancias de Jasper Server habilitadas para alta disponibilidad se pueden señalar mediante cabi_external.
Abril de 2019
Nuevas funciones
: las actualizaciones siguientes están incluidas en la versión:
  • La sonda cabi 4.1.0 se ha actualizado para implementar la versión 7.1.1 de CABI Server. La sonda también es compatible con Microsoft SQL Server 2016.
  • Se han agregado los informes de disponibilidad que permiten ver la disponibilidad de dispositivos y grupos.Para obtener más información, consulte Informes de disponibilidad en el espacio de documentación de las sondas.
Nuevos paquetes
: los siguientes paquetes nuevos están incluidos en la versión:
  • uim_cabi_availability_report_pack versión 1.00: Instale este paquete para implementar los informes de disponibilidad.
  • paquete de la sonda cabi versión 4.1.0: instale este paquete para implementar una instancia del servidor de CABI en un robot. Esta configuración simplifica el proceso de instalación del servidor de CABI si solo se necesita utilizar el servidor de CABI con CA UIM. Se requiere esta versión de la sonda para admitir el uso de informes.
  • portlet de ump_cabi versión 4.10: instale este paquete para ver los cuadros de mandos de CABI en CA UIM 9.0.2.
  1. La sonda cabi 4.10 admite TLS v1.2 cuando se comunica con las bases de datos de UIM: Microsoft SQL Server 2012, 2014. 2016 y Oracle 11.2 y 12.1. Tenga en cuenta que UIM 20.1 (y superiores) no son compatibles con Oracle 11.2.
  2. La sonda cabi 3.40, disponible con UMP 9.0.2 HF2, admite TLS v1.2 cuando se comunica con la base de datos de UIM: Microsoft SQL Server 2012, 2014 y Oracle 11.2 y 12.1. Para obtener más información sobre cómo aplicar UMP 9.0.2 HF2 para la funcionalidad TLS de CABI, consulte UMP 9.0.2 HF2. Tenga en cuenta que UIM 20.1 (y superiores) no son compatibles con Oracle 11.2.
  3. La sonda cabi 3.32 no es compatible con TLS v1.2 cuando se comunica con la base de datos de UIM: Microsoft SQL Server u Oracle. Como resultado, no se puede ver la página de inicio de la Consola del operador, los cuadros de mandos de CA Business Intelligence listos para su uso y los informes de CA Business Intelligence listos para su uso.
  4. La compatibilidad de TLS v1.2 no está activada de forma predeterminada al instalar CA UIM 9.0.2.
Febrero de 2019
  • La función de CABI TLS v1.2 solo es compatible con UMP 902 HF2 para las bases de datos de SQL Server y Oracle. Las versiones compatibles de SQL Server se limitan a las versiones 2012 y 2014 solamente.
Diciembre de 2018
Nuevas funciones
La versión incluye las actualizaciones siguientes:
  • La sonda cabi se ha actualizado para implementar la versión 6.4.3 de CABI Server. La sonda cabi ahora es compatible con Transport Layer Security (TLS) v1.2 cuando se comunica con la base de datos de UIM: Oracle o Microsoft SQL Server. Esta compatibilidad permite a UIM Server establecer una comunicación segura con la base de datos de UIM.
  • La sonda cabi_external se ha actualizado para implementar la versión 6.4.3 de CABI Server. La sonda cabi external ahora es compatible con Transport Layer Security (TLS) v1.2 cuando se comunica con la base de datos de UIM: Oracle o Microsoft SQL Server. Esta compatibilidad permite a UIM Server establecer una comunicación segura con la base de datos de UIM.
    CA Business Intelligence no es compatible con entornos de UIM con TLS v1.2 activado que tienen SQL Server 2016 y 2017 como base de datos. Actualmente, Jaspersoft no proporciona soporte para TLS v1.2 en SQL Server 2016 y 2017. Por lo tanto, si TLS v1.2 está activado en el entorno de CA UIM y la base de datos es SQL Server 2016 o 2017, no se admitirán los cuadros de mandos de CABI. Como resultado, no se pueden ver informes de CABI en CA UIM.
Nuevos paquetes
La versión incluye los siguientes paquetes nuevos:
  • paquete de la sonda cabi versión 3.40: instale este paquete para implementar una instancia del servidor de CABI en un robot. Esta configuración simplifica el proceso de instalación del servidor de CABI si solo se necesita utilizar el servidor de CABI con CA UIM. Se requiere esta versión de la sonda para admitir el uso de informes.
  • paquete de la sonda cabi_external versión 3.40: instale este paquete para implementar una sonda que funciona como una puerta de enlace para una instancia independiente del servidor de CABI. Esta configuración permite compartir la instancia del servidor de CABI con CA UIM y con varios productos de CA Agile Operations. Se requiere esta versión de la sonda para admitir el uso de informes.
  • portlet de ump_cabi versión 3.40: instale este paquete para ver los cuadros de mandos de CABI en CA UIM 9.0.2.
Octubre de 2018
Nuevas funciones
La versión incluye las actualizaciones siguientes:
  • Cuando se activa la función de subcliente para el entorno de UIM, se aplican los valores de configuración de origen del usuario y cada subcliente solo tiene acceso a los informes (informes de estado e informes personalizados) y a los datos de los cuadros de mandos (cuadros de mandos principales).Actualmente, esta función de subcliente no aplica a los informes de disponibilidad de CABI.
Nuevos paquetes
La versión incluye los siguientes paquetes nuevos:
  • paquete de la sonda cabi versión 3.32: instale este paquete para implementar una instancia del servidor de CABI en un robot. Esta configuración simplifica el proceso de instalación del servidor de CABI si solo se necesita utilizar el servidor de CABI con CA UIM. Se requiere esta versión de la sonda para admitir el uso de informes.
  • paquete de la sonda cabi_external versión 3.32: instale este paquete para implementar una sonda que funciona como una puerta de enlace para una instancia independiente del servidor de CABI. Esta configuración permite compartir la instancia del servidor de CABI con CA UIM y con varios productos de CA Agile Operations. Se requiere esta versión de la sonda para admitir el uso de informes.
  • portlet de ump_cabi versión 3.32: instale este paquete para ver los cuadros de mandos de CABI en CA UIM 9.0.2.
  • uim_cabi_health_report_pack versión 1.31: instale este paquete para implementar los informes de estado.
Agosto de 2018
Nuevos paquetes
La versión incluye los siguientes paquetes nuevos:
  • paquete de la sonda cabi_external versión 3.30: Instale este paquete para implementar una sonda que funciona como una puerta de enlace para una instancia independiente del servidor de CABI. Esta configuración permite compartir la instancia del servidor de CABI con CA UIM y con varios productos de CA Agile Operations. Se requiere esta versión de la sonda para admitir el uso de informes.
Abril de 2018
Nuevas funciones
La versión incluye las actualizaciones siguientes:
  • La sonda cabi se ha actualizado para ser compatible con la última versión de la sonda wasp 9.0.1.
  • El portlet de la Consola del operador (OC) de CA Business Intelligence se ha actualizado para ser compatible con la versión 3.30.
  • Se han agregado nuevos cuadros de mandos para la monitorización de VMware.
  • Se han agregado nuevos cuadros de mandos para la monitorización del servicio de configuración de la monitorización (MCS).
Nuevos paquetes
La versión incluye los siguientes paquetes nuevos:
  • paquete de la sonda cabi versión 3.30: instale este paquete para implementar una instancia del servidor de CABI en un robot. Esta configuración simplifica el proceso de instalación del servidor de CABI si solo se necesita utilizar el servidor de CABI con CA UIM. Se requiere esta versión de la sonda para admitir el uso de informes.
  • portlet de ump_cabi versión 3.30: instale este paquete para ver los cuadros de mandos de CABI en CA UIM.
  • uim_vmware_dashboards_pack versión 1.00: Instale este paquete para implementar los cuadros de mandos de VMware. Este paquete requiere CA UIM uim_core_dashboards_pack.zip versión 2.40 y la sonda vmware versión 6.87 o posterior.
  • uim_mcs_dashboards_pack versión 1.00: Instale este paquete para implementar los cuadros de mandos de MCS. Este paquete requiere CA UIM uim_core_dashboards_pack.zip versión 2.40, y debe existir al menos un perfil de MCS.
Noviembre de 2017
Nuevas funciones
La versión incluye las actualizaciones siguientes:
  • Se ha modificado el proceso de implementación para la configuración agrupada del servidor de CABI y para la configuración externa del servidor de CABI.
    Los cambios importantes son los siguientes:
    • Ahora hay una sonda específica que se utilizará para cada configuración. Utilice la sonda
      cabi
      para la configuración enlazada y la sonda
      cabi_external
      para la configuración externa.
    • Se ha eliminado el requisito de MCS.
  • Los paquetes de las sondas cabi y cabi_external implementan automáticamente cualquier dependencia del paquete existente en el archivo de archivado. Las dependencias incluyen los paquetes de informes y uim_core_dashboards_pack.
  • Se ha agregado una biblioteca de informes a los que se puede acceder desde los cuadros de mandos.
    Existe un requisito adicional para los informes de Unified Reporter (UR) de CA Business Intelligence (CABI) que utilizan datos de la sonda vmware. La sonda vmware se debe implementar y configura con MCS. Para obtener más información, consulte Sonda vmware: Configuración del tipo de perfil de MCS.
  • Se ha agregado la capacidad de ver informes de Unified Reporter en los cuadros de mandos de CA Business Intelligence.
  • Se han agregado paquetes de cuadros de mandos heredados al archivo de archivado.
  • Se han agregado nuevos cuadros de mandos para la monitorización de SAP.
  • Se han agregado nuevos cuadros de mandos para la monitorización de Citrix.
  • Se ha agregado la capacidad de migrar los informes de Unified Reporter personalizados a los cuadros de mandos de CA Business Intelligence.
  • Se ha agregado el tema UIM Metric (Métrica de UIM) para ampliar las capacidades de generación de informes. El tema UIM Metric (Métrica de UIM) permite crear vistas ad hoc con datos de varios dispositivos y métricas.
  • Se ha agregado la capacidad para controlar la frecuencia de las copias de seguridad para las actualizaciones de las sondas y del cuadro de mandos. Se han agregado las siguientes claves a la configuración sin formato de las sondas cabi y cabi_external: auto_backup_fequency_in_hours, auto_backup_on_import_enabled, auto_backup_on_import_max_time_in_secs. Para obtener más información, consulte las tareas opcionales en Instalación o actualización de una configuración agrupada de CA Business Intelligence JasperReports Server o Instalación o actualización de un servidor externo de CA Business Intelligence JasperReports Server.
Nuevos paquetes
La versión incluye los siguientes paquetes nuevos:
  • paquete de la sonda cabi versión 3.20: instale este paquete para implementar una instancia del servidor de CABI en un robot. Esta configuración simplifica el proceso de instalación del servidor de CABI si solo se necesita utilizar el servidor de CABI con CA UIM. Se requiere esta versión de la sonda para admitir el uso de informes.
  • paquete de la sonda cabi_external versión 3.20: Instale este paquete para implementar una sonda que funciona como una puerta de enlace para una instancia independiente del servidor de CABI. Esta configuración permite compartir la instancia del servidor de CABI con CA UIM y con varios productos de CA Agile Operations. Se requiere esta versión de la sonda para admitir el uso de informes.
  • portlet ump_cabi versión 3.20: Instale este paquete para actualizar el portlet de cabi para que sea compatible con la versión 3.20 de la sonda cabi.
  • uim_core_dashboards_pack versión 2.40: Instale este paquete para actualizar los cuadros de mandos para que sean compatibles con la versión 3.20 de la sonda cabi.
  • uim_aws_dashboards_pack.zip versión 2.40: Instale este paquete para actualizar la compatibilidad de la localización para los cuadros de mandos de AWS. Este paquete requiere la versión 2.40 de uim_core_dashboards_pack.zip y la versión 5.25 de la sonda aws o posterior.
  • uim_azure_dashboards_pack.zip versión 2.40: Instale este paquete para actualizar la compatibilidad de la localización para los cuadros de mandos de Azure.Este paquete requiere la versión 2.40 de uim_core_dashboards_pack.zip y la versión 3.02 (o posterior) de la sonda azure.
  • uim_sap_dashboards_pack versión 1.00: Instale este paquete para implementar los cuadros de mandos de SAP. Este paquete requiere la versión 2.40 de uim_core_dashboards_pack.zip y la versión 2.01 de la sonda sap_basis o posterior.
  • uim_citrix_dashboards_pack versión 1.00: Instale este paquete para implementar los cuadros de mandos de Citrix. Este paquete requiere la versión 2.40 de uim_core_dashboards_pack.zip y la versión 4.20 de la sonda xendesktop o posterior.
  • uim_unified_reporter_pack versión 1.02: Instale este paquete para implementar CABI para los informes de la biblioteca de CA UIM para las aplicaciones, bases de datos, redes y servidores.
    Existe un requisito adicional para los informes de Unified Reporter (UR) de CA Business Intelligence (CABI) que utilizan datos de la sonda vmware. La sonda vmware se debe implementar y configura con MCS. Para obtener más información, consulte Sonda vmware: Configuración del tipo de perfil de MCS.
  • uim_cabi_health_report_pack versión 1.20: Instale este paquete para implementar los informes de estado.
Defectos corregidos
Se han solucionado los problemas conocidos siguientes:
  • Los cuadros de mandos de la versión 3.0 no muestran datos de detalles de la métrica: los informes de detalles de la métrica ahora muestran datos de métrica. (Caso núm. 008382, 00847337)
Julio de 2017
Nuevas funciones
La versión incluye las actualizaciones siguientes:
  • La sonda cabi se ha actualizado para ser compatible con la implementación en el modo agrupado o en el modo externo.
    • Modo agrupado
      El modo agrupado instala y configura una instancia de CA Business Intelligence JasperReports Server (CA Business Intelligence Server) en un robot. Este modo simplifica el proceso de instalación de CA Business Intelligence Server si solo se necesita utilizar una instancia de JasperReports Server (CA Business Intelligence Server) con CA UIM.
    • Modo externo
      El modo externo permite que una instancia existente de CA Business Intelligence JasperReports Server (CA Business Intelligence Server) se pueda comunicar con CA UIM. Se trata de una instancia de CA Business Intelligence Server que no se implementa a través de la sonda cabi. Este modo reduce el número de instancias de CA Business Intelligence Server que se deben implementar y mantener. Se puede compartir una única instancia de CA Business Intelligence Server (CABI) con varios productos de CA Agile Operations. Para obtener más información, consulte la sección Cuadros de mandos unificados y generación de informes para la gestión de la infraestructura.
  • Los cuadros de mandos principales de CA Business Intelligence se han actualizado para ser compatibles con la versión 3.00.
Nuevos paquetes
Los paquetes siguientes se han agregado a la versión:
  • cabi-mcs-template versión 3.00: Instale este paquete para configurar la versión 3.00 de la sonda cabi.
  • Paquete de la sonda cabi versión 3.00: Instale este paquete para actualizar a la versión más reciente de la sonda cabi. Esta versión de la sonda implementa CA Business Intelligence Server versión 6.3 cuando se configura en modo agrupado.
  • ump_cabi versión 3.00: Instale este paquete para actualizar el portlet de CA Business Intelligence para ser compatible con la versión 3.00 de la sonda cabi.
  • uim_core_dashboards_pack.zip versión 2.20: Instale este paquete para actualizar los cuadros de mandos para que sean compatibles con la versión 3.00 de la sonda cabi.
Problemas conocidos
Existen los siguientes problemas conocidos:
Mensaje Error 403 (prohibido) para los cuadros de mandos de CABI
(Versión 3.00 notificada) Para resolver este problema, compruebe las versiones de la sonda cabi y del paquete ump_cabi. Este error se produce cuando se instalan versiones de paquete incompatibles. Por ejemplo, cuando la versión de la sonda cabi es la 3.0 y la versión de ump_cabi es la 2.0. Para obtener más información sobre las versiones, consulte Instalación de CA Business Intelligence con CA UIM. Descargue e implemente el paquete del portlet de ump_cabi en el servidor de la Consola del operador (OC) y reinicie wasp en el servidor de la Consola del operador (OC).
Se produce un error en la instalación de CA Business Intelligence Server al actualizar CA UIM versión 8.31 a la versión 8.5.1 cuando la base de datos de CA UIM es MSSQL.
(Versión 2.00 notificada) Para resolver este problema se debe reiniciar data_engine.
  1. Vaya a la interfaz gráfica de usuario de configuración de data_engine:
    Data Engine Configure Menu
  2. Busque el valor Fuente de datos.
    Data Source Setting
  3. Vuelva a aplicar la configuración. Para activar el botón Aplicar, realice una leve cambio y, a continuación, vuelva a establecer la configuración original.
    Reapply Configuration
  4. Reinicie data_engine.
    Data Engine Restart
  5. Reinstale CA Business Intelligence Server.
A partir de CA UIM 8.5.1, se actualizó la versión de Java a Java 1.8.
(Versión 2.00 notificada) Se deben actualizar los certificados autofirmados generados por CA UIM desde versiones anteriores de CA UIM. Si no se actualizan los certificados preexistentes, las conexiones HTTPS al servidor de CABI no funcionarán debido al cambio en los niveles de cifrado de seguridad de Java 1.8.
Las etiquetas AM, PM e Intervalo no aparecen cuando se exporta el informe de detalles de las alarmas abiertas en un idioma distinto del inglés.
(Versión 2.00 notificada) No hay solución existente en este momento.
Se produce un error al cargar los iconos del portlet de CA Business Intelligence de forma intermitente.
(Versión 1.10 notificada) Actualice la página para resolver este problema.
El procesamiento de algunos cuadros de mandos puede ser lento en entornos a gran escala a la hora de recopilar una gran cantidad de datos de la calidad del servicio.
(Versión 1.10 notificada) No hay solución existente en este momento.
Las cuentas de usuario del bus de CA UIM con caracteres especiales (#?~ $ % ^ & *, (- + ? [{ " | \ /? < >) no se agregan automáticamente a CABI.
(Versión 1.00 notificada) No hay solución existe en este momento.
Se produce un error en la instalación de CABI al utilizar caracteres especiales en nombres de cuenta de LDAP y la Consola del operador (OC)
(Se ha notificado en la versión 1.00) Al utilizar caracteres especiales (\, |, [ ], `, ", ', ~, !, #, $, %, ^, &, [,], *, +, =, ;, * :, ?, <, >, }, {, ), (, ], [, /, @) en los nombres de cuenta de la Consola del operador (OC) o LDAP, la sincronización de la cuenta con CABI produce un error que da lugar a una instalación errónea.
Los usuarios del bus no deben compartir una lista de control de acceso con los usuarios LDAP o usuarios del bus con cuentas LDAP heredadas.
(Versión 1.00 notificada) Para evitar este problema, cree una lista de control de acceso para configurarla para su uso con LDAP y deje las listas de control de acceso predeterminadas en su lugar. Esta lista de control de acceso permite al administrador de CA UIM crear los usuarios del bus sin asociación a ningún vínculo de la cuenta de LDAP. Para obtener más información, consulte la sección Conexión de las listas de control de acceso con usuarios de LDAP en Activación del inicio de sesión con LDAP.
Los puntos de los datos están desplazados cuando se pasa el ratón sobre un dashlet en una vista maximizada.
(Versión 1.00 notificada) Se trata de un problema conocido de Jaspersoft.